commit:     535125aca4719d56accfd13d147878deb7cf5301
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Fri Jul 18 11:35:27 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 19 16:56:48 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=535125ac

dev-db/mycli: add 1.36.0

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/43002
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-db/mycli/Manifest            |   1 +
 dev-db/mycli/mycli-1.36.0.ebuild | 136 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 137 insertions(+)

diff --git a/dev-db/mycli/Manifest b/dev-db/mycli/Manifest
index 1154489231c5..5c882f356b40 100644
--- a/dev-db/mycli/Manifest
+++ b/dev-db/mycli/Manifest
@@ -2,3 +2,4 @@ DIST mycli-1.31.2.tar.gz 295447 BLAKE2B 
e0e8520402b26e1cf1c502fe8d7f11156adf521f
 DIST mycli-1.32.0.tar.gz 295999 BLAKE2B 
d94f5bf756ae7b53a0dec7a4a5ff609b3bb1eebd4ec5c7b025114a7b0077027f6aac383ec58d1f5ca03f18bd191cb8286a02f37fcb5874ff901bdc8954e5946f
 SHA512 
a7a33b5b52ebc7843a76721b8bb63ae6d382b53a2e9235743756eb00cebd9171967b85f9626e91eb14db3cb265290da8fc2cba4db3d42477bb0f6f368e156d81
 DIST mycli-1.33.0.tar.gz 298149 BLAKE2B 
75838ec9d7cf370a72e62edcbe430b3c7125332399be08bac2810d42f297305da23e785ad614c834ea066266b1b3e9ad08980d86a497df7c4b925e95f79f0e0b
 SHA512 
4bee30ecf37398d61d6f1767e93fcf5dca050d0163da1cfc412a40d142c20e85caf3859a18322425a41f34cac2c22ea3c2aef0db8ec0f645496ce4fde46ec92b
 DIST mycli-1.34.2.tar.gz 296111 BLAKE2B 
1be7585bc5282c6f5fdd29971a16b98ba1c926da8a0452adb239e35678300a10a7bface45d6adda9837c8900623fd81b958f39945a0d980f0f7ca1179eacf221
 SHA512 
fd32c049dc5f6d679ad57ffc5323a76692b09bdb1245a89fe01657cde169305203004660d1a6f689ec71b52003e67178642e8395de3c6aceb033ae92b743b7ce
+DIST mycli-1.36.0.tar.gz 298806 BLAKE2B 
8b0bf32213bf0c3f3e00054846544d893e63435011ffcde7dd312ae6b599a593c11d62ec9f462f1f90898b0f6ecb73e5708e8d398ebe237fc1ccc4214b903447
 SHA512 
edbedc7b3157eb58a8271bfd8750ddb40545acc246f09a8ec5791fd15d2c12056349b9be29ebe262f6634c9ba698d00ba1aa313f1ceb046e7923c3ea01461d2c

diff --git a/dev-db/mycli/mycli-1.36.0.ebuild b/dev-db/mycli/mycli-1.36.0.ebuild
new file mode 100644
index 000000000000..d12518e0865c
--- /dev/null
+++ b/dev-db/mycli/mycli-1.36.0.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=yes
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CLI for MySQL Database with auto-completion and syntax 
highlighting"
+HOMEPAGE="
+       https://www.mycli.net/
+       https://github.com/dbcli/mycli/
+       https://pypi.org/project/mycli/
+"
+
+LICENSE="BSD MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="ssh"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               >=dev-python/cli-helpers-2.6.0[${PYTHON_USEDEP}]
+               >=dev-python/click-7.0[${PYTHON_USEDEP}]
+               >=dev-python/configobj-5.0.5[${PYTHON_USEDEP}]
+               >=dev-python/cryptography-1.0.0[${PYTHON_USEDEP}]
+               >=dev-python/prompt-toolkit-3.0.6[${PYTHON_USEDEP}]
+               <dev-python/prompt-toolkit-4.0.0[${PYTHON_USEDEP}]
+               >=dev-python/pyaes-1.6.1[${PYTHON_USEDEP}]
+               >=dev-python/pyfzf-0.3.1[${PYTHON_USEDEP}]
+               >=dev-python/pygments-1.6[${PYTHON_USEDEP}]
+               >=dev-python/pymysql-0.9.2[${PYTHON_USEDEP}]
+               >=dev-python/pyperclip-1.8.1[${PYTHON_USEDEP}]
+               =dev-python/sqlglot-26*[${PYTHON_USEDEP}]
+               <dev-python/sqlparse-0.6.0[${PYTHON_USEDEP}]
+               >=dev-python/sqlparse-0.3.0[${PYTHON_USEDEP}]
+               ssh? (
+                       dev-python/paramiko[${PYTHON_USEDEP}]
+                       dev-python/sshtunnel[${PYTHON_USEDEP}]
+               )
+       ')
+"
+BDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/setuptools-scm[${PYTHON_USEDEP}]
+               test? (
+                       dev-db/mysql[server]
+                       dev-python/paramiko[${PYTHON_USEDEP}]
+               )
+       ')
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_prepare_all() {
+       # Relax click requirement. Behave tests aren't hooked up here :/
+       # 
https://github.com/dbcli/mycli/commit/bb18b0c2f2ed7375efe31d379e616a11c82b1299
+       # https://github.com/dbcli/mycli/pull/1241
+       sed -e '/click/ s/,<8.1.8//' -i pyproject.toml || die
+
+       # no coverage please
+       sed -e 's/import coverage ; coverage.process_startup(); //' \
+               -i test/features/environment.py test/features/steps/wrappers.py 
|| die
+
+       distutils-r1_python_prepare_all
+}
+
+src_test() {
+       # test/utils.py
+       local -x PYTEST_PASSWORD="notsecure"
+       local -x PYTEST_HOST="127.0.0.1"
+       local -x PYTEST_PORT="43307"
+       local -x PYTEST_CHARSET="utf8"
+
+       einfo "Creating mysql test instance ..."
+       mysqld \
+               --no-defaults \
+               --initialize-insecure \
+               --basedir="${EPREFIX}/usr" \
+               --datadir="${T}/mysql" 1>"${T}"/mysql_install.log || die
+
+       einfo "Starting mysql test instance ..."
+       mysqld \
+               --no-defaults \
+               --character-set-server="${PYTEST_CHARSET}" \
+               --bind-address="${PYTEST_HOST}" \
+               --port="${PYTEST_PORT}" \
+               --pid-file="${T}/mysqld.pid" \
+               --socket="${T}/mysqld.sock" \
+               --datadir="${T}/mysql" 1>"${T}/mysqld.log" 2>&1 &
+
+       # wait for it to start
+       local i
+       for (( i = 0; i < 10; i++ )); do
+               [[ -S ${T}/mysqld.sock ]] && break
+               sleep 1
+       done
+       [[ ! -S ${T}/mysqld.sock ]] && die "mysqld failed to start"
+
+       einfo "Configuring test mysql instance ..."
+       mysql \
+               -u root \
+               --socket="${T}/mysqld.sock" \
+               -e "ALTER USER 'root'@'localhost' IDENTIFIED BY 
'${PYTEST_PASSWORD}'" \
+               || die "Failed to change mysql user password"
+
+       local failures=()
+       nonfatal distutils-r1_src_test
+       [[ ${?} -ne 0 ]] && failures+=( pytest )
+
+       # Behave is in a weird situation, last non beta version is 7 years old 
and doesnt build well with modern setuptools.
+       # Mycli doesnt pass tests with prereleases of updated behave.
+       #behave --jobs=$(get_makeopts_jobs)  --summary --verbose test/features
+       #[[ ${?} -ne 0 ]] && failures+=( behave )
+
+       einfo "Stopping mysql test instance ..."
+       pkill -F "${T}"/mysqld.pid || die
+       # wait for it to stop
+       local i
+       for (( i = 0; i < 10; i++ )); do
+               [[ -S ${T}/mysqld.sock ]] || break
+               sleep 1
+       done
+
+       rm -rf "${T}"/mysql || die
+
+       if [[ ${#failures[@]} -gt 0 ]]; then
+               die "Tests failed: ${failures}"
+       fi
+}

Reply via email to